## com.gargoylesoftware.htmlunit
Interface RefreshHandler

All Known Implementing Classes:
  ImmediateRefreshHandler, ThreadedRefreshHandler, WaitingRefreshHandler

    public interface RefreshHandler

A handler for page refreshes. A refresh can be triggered by a response header or a meta tag.

Version:
  $Revision: 4324 $
Author:
  Mike Bowler, Daniel Gredler

Method Summary
`void` `handleRefresh(Page page, java.net.URL url, int seconds)` Refreshes the specified page using the specified URL after the specified number of seconds.

Method Detail

### handleRefresh

    void handleRefresh(Page page,
                       java.net.URL url,
                       int seconds)
                       throws java.io.IOException

  Refreshes the specified page using the specified URL after the specified number of seconds.

  Parameters:
    `page` - the page that is going to be refreshed
    `url` - the URL where the new page will be loaded
    `seconds` - the number of seconds to wait before reloading the page
  Throws:
    `java.io.IOException` - if the refresh fails

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.